#%%
# -*- coding: utf-8 -*-

import numpy as np
from ch0_rotation_matrix import *

def cross_section_1d_GPS(x_profile, y_profile, origin_dune, GPS_file_raw, total_allowed_distance):
    
    GPS_file = GPS_file_raw.copy()

    orientation_dune = np.arctan((y_profile[-1] - y_profile[0])/(x_profile[-1] - x_profile[0]))
    GPS_file['cross'], GPS_file['long'] = rotation_2d(GPS_file['x_val'], GPS_file['y_val'], alpha=-orientation_dune, origin=origin_dune)
    
    GPS_file['cross'].values[np.abs(GPS_file['long']) > total_allowed_distance] = np.nan
    GPS_file['x_val'].values[np.abs(GPS_file['long']) > total_allowed_distance] = np.nan
    GPS_file['y_val'].values[np.abs(GPS_file['long']) > total_allowed_distance] = np.nan
    GPS_file['z_val'].values[np.abs(GPS_file['long']) > total_allowed_distance] = np.nan
    GPS_file['long'].values[np.abs(GPS_file['long']) > total_allowed_distance] = np.nan

    return GPS_file   